> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get daily balance changes by network

> Returns per-asset inbound, outbound, and net balance changes for a network, aggregated by calendar day from interchain payment activity in the requested time range.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/network/balances
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
  - name: Cross-chain transfers
    description: >-
      Look up cross-chain transfers using either the source or destination
      transaction hash, and explore coverage by protocol and network.
paths:
  /v1/network/balances:
    get:
      tags:
        - Network Information
      summary: Get daily balance changes by network
      description: >-
        Returns per-asset inbound, outbound, and net balance changes for a
        network, aggregated by calendar day from interchain payment activity in
        the requested time range.
      operationId: getBalancesByNetwork
      parameters:
        - name: network
          required: true
          in: query
          description: Network of Address
          schema:
            type: string
            example: ethereum
        - name: startTime
          required: true
          in: query
          description: Start time
          schema:
            type: string
            example: '2024-01-01T00:00:00.000Z'
        - name: endTime
          required: true
          in: query
          description: End Time
          schema:
            example: '2024-01-31T23:59:59.999Z'
            type: string
      responses:
        '200':
          description: >-
            Daily balance change rows per asset for the network (interchain
            payments in the time range).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkBalancesByNetworkResponseDto'
components:
  schemas:
    NetworkBalancesByNetworkResponseDto:
      type: object
      properties:
        count:
          type: number
          example: 2
          description: Number of day/denom rows in `balances`.
        balances:
          type: array
          items:
            $ref: '#/components/schemas/NetworkBalanceChangeEntryDto'
      required:
        - count
        - balances
    NetworkBalanceChangeEntryDto:
      type: object
      properties:
        date:
          type: string
          example: '2024-01-15T00:00:00.000Z'
        denom:
          type: string
          example: uatom
        total_received:
          type: number
          example: 1000
        total_sent:
          type: number
          example: 500
        net_balance_change:
          type: number
          example: 500
        total_received_usd:
          type: number
          example: 12.5
        total_sent_usd:
          type: number
          example: 6.25
        net_balance_change_usd:
          type: number
          example: 6.25
      required:
        - date
        - denom
        - total_received
        - total_sent
        - net_balance_change
        - total_received_usd
        - total_sent_usd
        - net_balance_change_usd
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.